{
  "name": "todo-bygonz",
  "version": "0.9.1",
  "repository": "https://github.com/onezoomin/offline-sync",
  "license": "CC-BY-NC-4.0",
  "scripts": {
    "dev": "cross-env NODE_ENV=dev vite",
    "tsc": "tsc -p . --noEmit ",
    "build": "cross-env NODE_ENV=production vite build",
    "lint": "eslint src/**/*.ts[x] --fix",
    "clean": "rm -rf .cache .tmp lib build"
  },
  "dependencies": {
    "@apollo/client": "^3.5.9",
    "@apollo/link-ws": "^2.0.0-beta.3",
    "@emotion/react": "^11.7.1",
    "@emotion/styled": "^11.3.0",
    "@ethersproject/wallet": "^5.6.0",
    "@mui/icons-material": "^5.4.1",
    "@mui/material": "^5.4.1",
    "@types/react": "^17.0.43",
    "axios": "^0.26.1",
    "buffer": "^6.0.3",
    "bygonz": "^0.2.0",
    "date-fns": "^2.28.0",
    "dexie-preact-hooks": "1.1.2",
    "dexie-react-hooks": "1.1.1",
    "diff": "^5.0.0",
    "diff-lines": "^1.1.1",
    "events": "^3.3.0",
    "graphql": "^16.3.0",
    "graphql-ws": "^5.6.2",
    "json-stable-stringify": "^1.0.1",
    "lodash": "^4.17.21",
    "mdi-preact": "^8.1.0",
    "mui-image": "^1.0.4",
    "nanoid": "^3.2.0",
    "preact": "^10.6.6",
    "process": "^0.11.10",
    "prop-types": "^15.8.1",
    "rollup-plugin-polyfill-node": "^0.8.0"
  },
  "devDependencies": {
    "@preact/preset-vite": "^2.1.7",
    "@types/node": "^17.0.23",
    "@typescript-eslint/eslint-plugin": "^5.16.0",
    "@typescript-eslint/parser": "^5.16.0",
    "cross-env": "^7.0.3",
    "dotenv": "^16.0.0",
    "eslint": "^8.12.0",
    "eslint-config-preact": "^1.3.0",
    "eslint-config-standard-with-typescript": "^21.0.1",
    "eslint-plugin-import": "^2.25.4",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^6.0.0",
    "eslint-plugin-react": "^7.29.4",
    "jest": "^27.5.1",
    "typescript": "^4.6.3",
    "vite": "^2.8.6",
    "vite-plugin-pwa": "^0.11.13",
    "vite-plugin-windicss": "^1.8.3",
    "windicss": "^3.5.1"
  },
  "peerDependencies": {
    "dexie": "3.2.1",
    "postcss": "^8.1.10"
  },
  "resolutions": {
    "postcss": "8.1.10"
  }
}
